import Pagination from '..';
import React from 'react';
import ReactDOM from 'react-dom';
class Demo extends React.Component {
    constructor(props) {
        super(props);
        this.handleChange = pageSize => {
            this.setState({ pageSize });
        };
        this.state = {
            pageSize: 20,
        };
    }
    render() {
        return (React.createElement("div", null,
            React.createElement("h3", null, "Set page size"),
            React.createElement(Pagination, { pageSize: 20 }),
            React.createElement("h3", null, "Hide page size selector"),
            React.createElement(Pagination, { pageSizeSelector: false }),
            React.createElement("h3", null, "Set page size selector to 'dropdown'\uFF0Cand show it in the end"),
            React.createElement(Pagination, { pageSizeSelector: "dropdown", pageSizePosition: "end" }),
            React.createElement("h3", null, "Use pageSizeList to specify the number of records per page."),
            React.createElement(Pagination, { pageSize: this.state.pageSize, total: 100, pageSizeSelector: "filter", pageSizeList: [5, 10, 20], onPageSizeChange: this.handleChange })));
    }
}
ReactDOM.render(React.createElement(Demo, null), document.getElementById('pagination-demo-4'));
